Bug 9209 - rpm.error: error during upgrade check
Summary: rpm.error: error during upgrade check
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-08 10:08 UTC by Tim Waugh
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-09 15:23:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-02-08 10:08:02 UTC
Boot expert mode from floppy with local IDE CD-ROM.
Cancel when asked for driver disk.
Select English language, US keymap, and local CD-ROM drive.
Add device AHA-1520 (which has a 6.1 installation on an attached disk).
3-button PS/2 mouse.
Upgrade sda3 rather than hda6, choosing to customize packages.
Click Next.  Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 336, in nextClicked
    next = self.currentScreen.getNext ()
  File "/usr/lib/anaconda/iw/examine.py", lnie 19, in getNext
    self.todo.upgradeFindPackages (self.root)
  File "/usr/lib/anaconda/todo.py", line 716, in upgradeFindPackages
    packages = rpm.findUpgradeSet (self.hdList.hdlist, self.instPath)
rpm.error: error during upgrade check

Comment 1 Jay Turner 2000-02-08 17:29:59 UTC
Submit a copy of your /etc/fstab as well as the output of "fdisk -l <device>"
for all of the drives on your system.  There might be something strange
happening with the mounting of the root partition.

Comment 2 Tim Waugh 2000-02-08 18:54:59 UTC
I'd installed on top of that disk, so I had to try to recreate the situation.  I
couldn't, I'm afraid. :-(


Note You need to log in before you can comment on or make changes to this bug.